> For the complete documentation index, see [llms.txt](https://docs.alphageo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphageo.ai/for-developers/alphageo-data-api/portfolio-scores-api.md).

# Portfolio Scores API

The Portfolio Scores API endpoint allows you to retrieve aggregated (averaged) climate risk, resilience-adjusted risk, and financial impact metrics across all assets within your institution's portfolios.

You can also restrict the aggregation to specific portfolios using optional query filters.

## Endpoint

<pre class="language-rest"><code class="lang-rest"><strong>GET https://app.alphageo.ai/api/public/v1/portfolio
</strong></code></pre>

## Parameters

<table><thead><tr><th>Parameters</th><th data-type="checkbox">Required</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>tier_one_names</td><td>false</td><td>string</td><td>Comma-separated names of Tier 1 portfolios to include. Example: <code>Fund A,Fund B</code>. If omitted, averages are calculated across all assets in all portfolios.</td></tr><tr><td>period</td><td>true</td><td>string</td><td><p>Time period.</p><p><em>Available values</em> : 2025, 2035, 2050, 2100</p></td></tr><tr><td>scenario</td><td>true</td><td>string</td><td><p>Identifier for CMIP6 Emission Scenarios.</p><p><em>Available values</em> : SSP245, SSP370, SSP585</p></td></tr></tbody></table>

## Example requests

#### cURL

```bash
$ curl --location 'https://app.alphageo.ai/api/public/v1/portfolio?period=2035&scenario=SSP245' \
--header 'Authorization: dse3X8de878c37b2fd6835c52390303fk15fc3'
```

#### Python

```python
import requests

url = "https://app.alphageo.ai/api/public/v1/portfolio?period=2035&scenario=SSP245"

payload = {}
headers = {
  'Authorization': 'dse3X8de878c37b2fd6835c52390303fk15fc3'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

## Example response

```json
{
  "identifiers": {
    "SCENARIO": "SSP370",
    "PERIOD": "2035"
  },
  "overall_indicators": {
    "OVERALL_RISK_SCORE_PCT": 62.4,
    "OVERALL_RAJ_SCORE_PCT": 54.1,
    "OVERALL_RISK_SCORE": 31.2,
    "OVERALL_RAJ_SCORE": 22.8
  },
  "heat_stress": {
    "HEAT_SCORE": 75.0,
    "HEAT_RAJ_SCORE": 60.5
  },
  "inland_flooding": {
    "INLAND_SCORE": 18.2,
    "INLAND_RAJ_SCORE": 15.1
  },
  "coastal_flooding": {
    "COASTAL_SCORE": 5.0,
    "COASTAL_RAJ_SCORE": 4.2
  },
  "drought": {
    "DROUGHT_SCORE": 30.0,
    "DROUGHT_RAJ_SCORE": 24.0
  },
  "hurricane_wind": {
    "WIND_SCORE": 45.0,
    "WIND_RAJ_SCORE": 38.0
  },
  "wildfire": {
    "FIRE_SCORE": 10.0,
    "FIRE_RAJ_SCORE": 8.0
  },
  "hail": {
    "HAIL_SCORE": 55.0,
    "HAIL_RAJ_SCORE": 42.0
  },
  "landslide": {
    "LANDSLIDE_SCORE": 2.0,
    "LANDSLIDE_RAJ_SCORE": 1.5
  },
  "earthquake": {
    "EARTHQUAKE_SCORE": 0.0,
    "EARTHQUAKE_RAJ_SCORE": 0.0
  },
  "insurance": {
    "INS_RATE_FIRE": 0.0,
    "INS_RATE_FLOOD": -1.07,
    "INS_RATE_ANNUAL": -1.07
  },
  "utility": {
    "UTIL_RATE_COOLING": 0.38,
    "UTIL_RATE_HEATING": -0.41,
    "UTIL_RATE_ANNUAL": -0.03
  },
  "capex": {
    "CAPEX_FIRE": 0.0,
    "CAPEX_FLOOD": 0.0,
    "CAPEX_CDD": 0.0,
    "CAPEX_ANNUAL": 0.0
  },
  "discount": {
    "10_YEAR_DISCOUNT": 0.09,
    "25_YEAR_DISCOUNT": 0.22,
    "75_YEAR_DISCOUNT": 0.38
  },
  "operation_downtime": {
    "DOWNTIME_DAYS_ANNUAL": 0.08
  },
  "operation_efficiency": {
    "EFFICIENCY_LOSS_ANNUAL": 0.68
  },
  "workforce_productivity": {
    "PRODUCTIVITY_LOSS_ANNUAL": 1.26
  },
  "maintenance_cost": {
    "MAINT_RATE_ANNUAL": -0.04
  },
  "insurability": {
    "UNINSURABLE_COASTAL": 0.0,
    "UNINSURABLE_FIRE": 0.0,
    "UNINSURABLE_INLAND": 0.0,
    "UNINSURABLE_TOTAL": 0.0
  },
  "data_version": "Dec 2025",
  "portfolio_summary": {
    "total_assets": 4320,
    "portfolios_included": [
      "Fund A",
      "Fund B"
    ]
  }
}
```

*Note: The fields from `insurance` down to `insurability` will only be present if your institution has access to the Financial Impact Analytics module.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphageo.ai/for-developers/alphageo-data-api/portfolio-scores-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
